<?php

namespace app\person\common;

use app\BaseController;
use app\common\middleware\Auth;

/**
 * Description of PersonController
 *
 * @author sgq
 */
class PersonController extends BaseController {

    protected $middleware = [Auth::class];
    protected $user;

    //put your code here
    public function __construct(\think\App $app) {
        parent::__construct($app);
        $this->user = session("user");
        if ($this->user["usertype"] != 3)
            session("user", null);
    }

}
